Ask Your Question
0

[solved] GO-USB-N150 (rtl8188eu) not working

asked 2017-09-02 03:14:19 -0500

lorbas gravatar image

updated 2017-09-02 07:05:09 -0500

[ 3950.005292] usb 2-2: new high-speed USB device number 24 using ehci-pci
[ 3950.124134] usb 2-2: New USB device found, idVendor=2001, idProduct=3311
[ 3950.124137] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3950.124140] usb 2-2: Product: GO-USB-N150 N Adapter
[ 3950.124142] usb 2-2: Manufacturer: Realtek
[ 3950.124144] usb 2-2: SerialNumber: 7062B8B46673

it works in debian/ubuntu/mint ootb with rtl8188eu if i remember right. before it was added to those distros one had to compile the driver, but here compiling fails:

make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/4.11.8-300.fc26.x86_64/build M=/root/build/rtl8188eu  modules
make[1]: *** /lib/modules/4.11.8-300.fc26.x86_64/build: No such file or directory. Stop.
make: *** [Makefile:151: modules]

Then I tried https://itso.dk/?p=298 pre-compiled one but it is not even found with modprobe.

Now I'm tethering from android phone, but this also has its own problems e.g. if I don't click fast on gnome3 topbar internet connection indicator and select "connect" (during first 2-3 seconds it is seen as wired) it becomes "cellular data" and fedora thinks it's an SIM card dongle instead of tethering and so it doesn't work.

Tethering is temporary solution, I need the wifi dongle to work.

Dang, I downloaded Fedora 26 today but it already has 2GB upgrade (+ISO had 1.5gb), it hurts a lot on a data plan (only option and the most exp. one is only 60gb/month for a family). Why not automatically make ISO's recent? haha..

I can see that many people have problem with this driver with fedora and that it, sadly, might break on each release and I cannot find a working solution for F26..

edit retag flag offensive close merge delete

Comments

@lorbas did you install kernel-devel and kernel-headers? try to install it and compile again...

hhlp gravatar imagehhlp ( 2017-09-02 05:05:21 -0500 )edit

I did it this way and also this sudo dnf groupinstall "Development Tools" "Development Libraries" It still fails.

lorbas gravatar imagelorbas ( 2017-09-02 05:41:31 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-09-02 07:01:52 -0500

lorbas gravatar image

Good!
Upgrading the system combined with reboots allowed me to compile and use the upstream driver! (git://github.com/lwfinger/rtl8188eu.git) It was so user-unfriendly I doubt any newcomer would bother. Haha :)

edit flag offensive delete link more

Question Tools

Stats

Asked: 2017-09-02 03:14:19 -0500

Seen: 246 times

Last updated: Sep 02 '17